Skip to main content
`Ctrl`+`K`

# `skopt.callbacks`.DeadlineStopper

class skopt.callbacks.DeadlineStopper(total_time)

  Stop the optimization before running out of a fixed budget of time.

  Parameters:
    total_time float

      fixed budget of time (seconds) that the optimization must finish within.

  Attributes:
    iter_time list, shape (n_iter,)

      `iter_time[i-1]` gives the time taken to complete iteration `i`

  Methods

  `__call__`(result) |

  __init__(total_time)